Anonymous Login
2019-07-21 06:45 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000028OpenClonkDocumentationpublic2013-11-06 16:53
ReporterApe 
Assigned ToClonk-Karl 
PrioritynormalSeveritytrivialReproducibilityN/A
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000028: README files need updating
DescriptionCurrently README.linux.txt only tells about autotools while we also have cmake. Cmake works better for me, so I think we should at least mention it. Also the file should guide more about running the game. We should include something like the following:

Running
=======

You need to move the compiled binary to the data folder and then run it:

    cp clonk planet/
    cd planet/
    ./clonk
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000064

Isilkor (developer)

Last edited: 2009-07-16 02:42

README.windows.txt is also outdated, at least in respect of MinGW, I believe. README.mac.txt even mentions NoNetwork builds, which don't exist anymore.

Attached an updated README.linux.txt. Any concerns with that?

~0000065

Ape (reporter)

Otherwise that new README.linux.txt looks fine to me, but I can't get the game compiled with it's guide. If I just use 'cmake . && make' I get a lot of undefined references to CStd*. See the attachment. If I instead use 'cmake . && make standard && cmake . && make' everything works nicely.

~0000511

Ape (reporter)

Last edited: 2010-04-18 21:10

I modified the README.linux.txt a bit. I think you should use this: http://ape.pastebin.com/HWXV3kH4

~0000512

Clonk-Karl (administrator)

Thanks, I pushed this file.
+Notes

-Issue History
Date Modified Username Field Change
2009-07-15 13:20 Ape New Issue
2009-07-16 02:41 Isilkor Note Added: 0000064
2009-07-16 02:41 Isilkor Status new => acknowledged
2009-07-16 02:41 Isilkor Projection none => tweak
2009-07-16 02:41 Isilkor Summary README.linux.txt needs updating => README files need updating
2009-07-16 02:41 Isilkor File Added: README.linux.txt
2009-07-16 02:42 Isilkor Note Edited: 0000064
2009-07-16 07:30 Ape Note Added: 0000065
2009-07-16 07:30 Ape File Added: log.txt
2010-04-18 21:05 Ape Note Added: 0000511
2010-04-18 21:08 Ape Note Edited: 0000511
2010-04-18 21:10 Ape Note Edited: 0000511
2010-04-19 20:25 Clonk-Karl Note Added: 0000512
2010-04-19 20:25 Clonk-Karl Status acknowledged => resolved
2010-04-19 20:25 Clonk-Karl Resolution open => fixed
2010-04-19 20:25 Clonk-Karl Assigned To => Clonk-Karl
2013-11-06 11:53 Newton Fixed in Version => 1.0
2013-11-06 16:53 Newton Status resolved => closed
2014-02-17 03:53 Newton File Deleted: log.txt
+Issue History